Get Request Status by **requestTraceId** from C2P
Send a request to this endpoint to retrieve details about a request sent to C2P through another endpoint. This endpoint enables you to track the progress or outcome of operations, such as card enrolment, updates, or deletions.
GET
/
v1
/
click2pay
/
VISA
/
status
/
{traceId}
Get Request Status by **requestTraceId** from C2P
curl --request GET \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/status/{traceId}' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/status/{traceId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/status/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "COMPLETED",
"details": {
"status": "SUCCESS",
"errorDetails": [
{
"field": "<string>",
"reason": "<string>",
"message": "<string>"
}
]
}
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Trace Id of the request.
Query Parameters
The audit user to log the request.
Was this page helpful?
⌘I
Get Request Status by **requestTraceId** from C2P

